Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
types
List Types
curl --request GET \
  --url https://api.legitmark.com/api/v2/types \
  --header 'Authorization: Bearer <token>'
{
  "message": "Types fetched successfully",
  "category": "SUCCESS",
  "data": [
    {
      "uuid": "95e42d6b-7c4f-11ef-a623-02595575faeb",
      "name": "Crossbody",
      "active": true,
      "sides": [],
      "media": "https://cdn.legitmark.com/types/95e42d6b-7c4f-11ef-a623-02595575faeb.png",
      "feature": false,
      "ordinal": 0,
      "created_at": "2024-09-26T20:43:23.000Z",
      "updated_at": "2026-01-15T03:48:34.000Z"
    }
  ],
  "rc_hit": true,
  "metadata": {
    "total_count": 45,
    "page_number": 1,
    "total_pages": 3,
    "page_size": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:leo_your_api_key_here
required

Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx

Query Parameters

page_size
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
page_number
integer
default:1

Page number

Required range: x >= 1
search_query
string

Search term for type names

activeOnly
boolean
default:false

Filter to only active types

Response

200 - application/json

Types retrieved successfully

message
string
required
Example:

"Types fetched successfully"

category
enum<string>
required
Available options:
SUCCESS
Example:

"SUCCESS"

data
object[]
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

false

metadata
object

Pagination metadata